# Uses of Enum Class
org.apache.lucene.store.ReadAdvice

Packages that use ReadAdvice
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.
org.apache.lucene.util
Some utility classes.

- ## Uses of ReadAdvice in org.apache.lucene.store

  Fields in org.apache.lucene.store with type parameters of type ReadAdvice
  Modifier and Type
  Field
  Description
  `static final BiFunction<String,IOContext,Optional<ReadAdvice>>`
  MMapDirectory.`ADVISE_BY_CONTEXT`
  Argument for `MMapDirectory.setReadAdvice(BiFunction)` that configures the read advice based on the context type and hints.
  Methods in org.apache.lucene.store that return ReadAdvice
  Modifier and Type
  Method
  Description
  `static ReadAdvice`
  ReadAdvice.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReadAdvice[]`
  ReadAdvice.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Method parameters in org.apache.lucene.store with type arguments of type ReadAdvice
  Modifier and Type
  Method
  Description
  `void`
  MMapDirectory.`setReadAdvice(BiFunction<String,IOContext,Optional<ReadAdvice>> toReadAdvice)`
  Configure `ReadAdvice` for certain files.

- ## Uses of ReadAdvice in org.apache.lucene.util

  Fields in org.apache.lucene.util declared as ReadAdvice
  Modifier and Type
  Field
  Description
  `static final ReadAdvice`
  Constants.`DEFAULT_READADVICE`
  The default `ReadAdvice` used for opening index files.